GET /v2/updates/transaction-tree-by-id/:update-id
curl --request GET \
--url https://api.example.com/v2/updates/transaction-tree-by-id/{update-id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/updates/transaction-tree-by-id/{update-id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/updates/transaction-tree-by-id/{update-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction": {
"updateId": "<string>",
"effectiveAt": "<string>",
"offset": 123,
"eventsById": {},
"synchronizerId": "<string>",
"recordTime": "<string>",
"commandId": "<string>",
"workflowId": "<string>",
"traceContext": {
"traceparent": "<string>",
"tracestate": "<string>"
}
}
}"<string>"{
"code": "<string>",
"cause": "<string>",
"context": {},
"errorCategory": 123,
"correlationId": "<string>",
"traceId": "<string>",
"resources": [
[
"<string>"
]
],
"grpcCodeValue": 123,
"retryInfo": "<string>",
"definiteAnswer": true
}GET /v2/updates/transaction-tree-by-id/:update-id
deprecated
Get transaction tree by id. Provided for backwards compatibility, it will be removed in the Canton version 3.5.0, use v2/updates/update-by-id instead.
GET
/
v2
/
updates
/
transaction-tree-by-id
/
{update-id}
GET /v2/updates/transaction-tree-by-id/:update-id
Authorizations
httpAuthapiKeyAuth
Ledger API standard JWT token
Path Parameters
Query Parameters
Response
Provided for backwards compatibility, it will be removed in the Canton version 3.5.0.
Required
Show child attributes
Show child attributes
Was this page helpful?
⌘I